Summary: The GNU line editor.
Name: ed
Version: 0.2
Release: 17mdk
Copyright: GPL
Group: Text tools
Source: ftp://ftp.gnu.org/pub/gnu/ed/ed-0.2.tar.bz2
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it much.

%prep
%setup -q

%build
%configure --exec_prefix=/
make CFLAGS="$RPM_OPT_FLAGS"

%install
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s prefix=$RPM_BUILD_ROOT/usr \
     exec_prefix=$RPM_BUILD_ROOT install

%post
/sbin/install-info /usr/info/ed.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete /usr/info/ed.info.bz2 /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS POSIX README THANKS
/bin/ed
/bin/red
/usr/info/ed.info*
/usr/man/man1/ed.1*
/usr/man/man1/red.1*

%changelog
* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-17mdk
- Clean-up specs.
- * Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- let the spechelper handle compressing man / info pages

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-16mdk
- move to Text tools group

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix typo in %preun
- fix download URL

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
